GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
gtpin::GtOclExecDesc Struct Reference
Kernel Dispatching

Execution descriptor of the OCL kernel (GPU_PLATFORM_OCL) More...

`#include <gt_gpu_defs.h>`

## Data Fields
uint32_t | device_index
| PCI BDF device number.
uint32_t | bus
| PCI BDF bus number.
uint32_t | function
| PCI BDF function number.
uint32_t | enqueue_index
| Enqueue ID.
GtKernelDispatchOclRuntime | runtime
| OpenCL runtime information associated with the kernel dispatch.

## Detailed Description

Execution descriptor of the OCL kernel (GPU_PLATFORM_OCL)

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT